> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate logo upload URL

> Generate a presigned URL for uploading an organization logo directly to GCS. After uploading the file, call the confirm endpoint to activate it.



## OpenAPI

````yaml /api-reference/preview.json post /organizations/{organization_id}/logo/upload-url
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /organizations/{organization_id}/logo/upload-url:
    post:
      tags:
        - Core
        - Organizations
      summary: Generate logo upload URL
      description: >-
        Generate a presigned URL for uploading an organization logo directly to
        GCS. After uploading the file, call the confirm endpoint to activate it.
      operationId: get_logo_upload_url_organizations__organization_id__logo_upload_url_post
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Organization Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Body_get_logo_upload_url_organizations__organization_id__logo_upload_url_post
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentUploadResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerToken: []
components:
  schemas:
    Body_get_logo_upload_url_organizations__organization_id__logo_upload_url_post:
      properties:
        document_name:
          type: string
          title: Document Name
        file_size_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: File Size Bytes
      type: object
      required:
        - document_name
      title: >-
        Body_get_logo_upload_url_organizations__organization_id__logo_upload_url_post
    DocumentUploadResponse:
      properties:
        upload_url:
          type: string
          title: Upload Url
          description: Presigned URL for uploading the document
        document_id:
          type: string
          title: Document Id
          description: Document ID
        expires_at:
          type: string
          format: date-time
          title: Expires At
          description: When the presigned URL expires
      additionalProperties: true
      type: object
      required:
        - upload_url
        - document_id
        - expires_at
      title: DocumentUploadResponse
      description: Response schema for presigned upload URL.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerToken:
      type: oauth2
      flows:
        password:
          scopes:
            read:all: Read all
            write:all: Write all
            read:health_check: Read health check
            write:health_check: Write health check
            read:wage_types: Read wage types
            write:wage_types: Write wage types
          tokenUrl: >-
            https://auth-preview.intermezzo.ai/authorize?audience=api-preview.intermezzo.ai

````